STRCAT(3)

NAME
strcat - concatenate strings

SYNOPSIS
#include <string.h>
char *
strcat(char *s, const char *append);
char *
strncat(char *s, const char *append, size_t count);

DESCRIPTION
The strcat() and strncat() functions append a copy of the null-terminated string append to the end of the null-terminated string s, then add a terminating ‘\0’. The string s must have sufficient space to hold the result.

The strncat() function appends not more than count characters from append, and then adds a terminating ‘\0.’

RETURN VALUES
The strcat() and strncat() functions return the pointer s.

SEE ALSO
bcopy(3), memccpy(3), memcpy(3), memmove(3), strcpy(3)

STANDARDS
The strcat() and strncat() functions conform to ansiC.